
QGIS Application - Feature request #3434

new symbology line decoration with wrong orientation

2011-01-24 02:44 AM - Sandro Santilli

Status: Closed

Priority: Low

Assignee: Martin Dobias

Category: Symbology

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 13494

Description

I'm showing 2 lines with new symbology and line decoration.

Both lines are horizontal 2 points segments.

The one above goes right-to-left.

The one below goes left-to-right.

I would expect the line decoration (kind of an arrow head) to go

in the direction of the line, but this is not happening for the right-to-left one.

Here's a snapshot:

http://strk.keybit.net/tmp/qgis_new_symbology_line_decoration.png

For reference, WKT of the two lines:

10:  LINESTRING

13:  LINESTRING

This is qgis r15056

Associated revisions

Revision 479acc12 - 2011-01-25 09:23 AM - Jürgen Fischer

fix #3434

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@15076 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 895c4a40 - 2011-01-25 09:23 AM - Jürgen Fischer

fix #3434

git-svn-id: http://svn.osgeo.org/qgis/trunk@15076 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2011-01-24 06:56 AM - Sandro Santilli

Further debugging shows that the problem has to do with the final segment being exactly horizontal.

I suspect there's en equal problem with perfectly vertical lines, as per 

this other snapshot:

http://strk.keybit.net/tmp/ArrowHeadHell.png
#2 - 2011-01-24 11:41 AM - Sandro Santilli

Found and fixed. Attached format-patch (good to apply with git-am).

Problem was for both vertical and horizontal lines. Fixed the vertical case (int vs. float) and the horizontal case (just missing).

#3 - 2011-01-24 11:55 PM - Sandro Santilli

jef suggested this much simplified version: http://paste.debian.net/105578/

I've tested it and works fine.

#4 - 2011-01-25 12:24 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

Replying to [comment:4 strk]:

jef suggested this much simplified version: http://paste.debian.net/105578/

I've tested it and works fine.

Thanks. Applied in commit:895c4a40 (SVN r15077).

Files

0001-Fix-math-used-to-compute-angles-of-horizontal-and-ve.patch 1.05 KB 2011-01-24 Sandro Santilli

3434.diff 1.23 KB 2011-01-24 Jürgen Fischer

2025-04-27 2/2

http://paste.debian.net/105578/
http://paste.debian.net/105578/

